Yubico Forum

...visit our web-store at store.yubico.com
It is currently Tue Feb 20, 2018 6:29 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 3 posts ] 
Author Message
PostPosted: Tue May 26, 2015 10:55 am 
Offline

Joined: Thu Aug 25, 2011 4:29 am
Posts: 4
I'm trying to follow these instructions to get PasswordSafe working with Yubikey:

https://www.yubico.com/applications/pas ... word-safe/

The configuration seemed to go very well. I have a secret key and slot 2 is now configured for challenge-response. Furthermore, I was able to use the same slot to authenticate on Windows 8.1 *and* it also works with PasswordSafe *in windows*.

But, in Linux, I'm having multiple problems. I realize that PWSafe is only beta, in Linux, but I have the latest version (0.96) and the developer claims it works given a particular configuration scenario, but that's not exactly my situation, so I'm still stuck.

Problem 1) Intermittently, PWSafe is not able to detect when I insert my Yubikey. When I start PWSafe and navigate to the Manage>Yubikey... menu, it says "enter Yubikey" and, when I do, it doesn't recognize it. It has in the past (after a recent reboot, perhaps?), but not now. I could use help in diagnosing this. It seems to work better on one computer than another. It seems to work fine with the Yubikey Personalization GUI that I used to configure it; that program seems to detect Yubikey, reliably.

Problem 2) When PWSafe does detect my Yubikey, it times-out whether or not I touch the button. I can't seem to get it to work.

I realize these sound like PWSafe problems, but I'm asking here because, for one, I'd like to be sure of that, and also, this process works fine in Windows so I'm still suspicious of the Linux part.


Top
 Profile  
Reply with quote  

Share On:

Share on Facebook FacebookShare on Twitter TwitterShare on Tumblr TumblrShare on Google+ Google+

PostPosted: Mon Jun 22, 2015 10:31 am 
Offline

Joined: Thu Apr 24, 2014 2:40 pm
Posts: 31
Location: The Hague, Netherlands
I use PWSafe as well as as Keepass2 (with the KeeChallenge plugin) with challenge/response mode successfully in Debian 7 & 8.
PWSafe version is v0.95.1 beta - please make sure certain libs are needed.
In debian 8 the following libs are needed:
- lib6
- libuuid
- libxtst6
- libxerxes-c3-1
- libykpers-1-1
From your report it appears that some of these libraries may be missing, you could check this by launching PWSafe from the console and check what this utility is reporting.
Also please be advised that some PWSafe version are incorrect (I once ran into this problem) so may advice is to load the latest version if not already done.
Hope this proves useful for you - because you did not report what distro you are using it is hard to assess your issue.

Kind regards, Erik...


Top
 Profile  
Reply with quote  
PostPosted: Tue Dec 13, 2016 7:03 pm 
Offline

Joined: Tue Sep 13, 2016 7:05 pm
Posts: 4
erikie wrote:
In debian 8 the following libs are needed:
- lib6

There's no single lib in Ubuntu/Debian called "lib6"; did you mean "libc6"?

I have a problem similar to the OP; I hope I can reanimate this thread.


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group